get
https://demo.inhousedelivery.cloud/v1/deliveries/
Returns the delivery details for a given delivery order id.
| response payload property | type | description |
|---|---|---|
| id | string | unique order id assigned by IHD |
| service_provider | string | specifies the DSP name |
| order_id | string | DSP order id reference |
| order_reference | string | simple order id provided to the driver and referenced at the pickup location |
| order_type | string | "delivery" is the only supported value. |
| status | Filters orders by status. Allowed values include new: New order that is yet to be dispatched to a DSP. accepted: Order accepted by the DSP. Awaiting driver to be assigned. pickup: Driver on the way to the pickup location. dropoff: Driver on the way to the customer dropoff address. delivered: Completed delivery canceled: Canceled delivery returning: Driver returning an order back to the pickup location returned: Returned delivery (optional) | |
| pickup | object | Details of the pickup location |
| dropoff | object | Details of the dropoff location |
| order_items | array | List of items included in the order |
| distance | integer | Distance between pickup and dropoff in meters |
| pickup_at_ready | timestamp | When the order is ready to be picked up by the driver. Based on UTC. |
| pickup_at_eta | timestamp | Pickup ETA specified at the time of the quote. Based on UTC. |
| live_pickup_at_eta | timestamp | Live pickup ETA as it is updated by the DSP. Based on UTC. |
| pickup_at | timestamp | When the driver picked up the order. Based on UTC |
| dropoff_at_eta | timestamp | Drop off ETA specified at the time of the quote. Based on UTC. |
| live_dropoff_at_eta | timestamp | Live drop off ETA as it is updated by the DSP on a frequent basis. Based on UTC. |
| dropoff_at | timestamp | Timestamp of when the driver dropped off the order. Based on UTC |
| customer_fee | integer | Delivery fee the customer is charged |
| fee | integer | Raw DSP delivery fee charged by the DSP |
| tip | integer | Tip specified by the customer (in cents) |
| total | integer | Grand total amount for the order (in cents) |
| currency | string | Currency of the fees and amounts included in the order |
| tracking_url | string | Includes the live tracking url for the courier and their whereabouts. |
| courier | object | Includes the courier details |
| location | object | Includes the IHD location id this order is part of |
| requires_id | boolean | Whether the driver needs to perform an ID check before handing over the order to the customer. (used for orders with age requirements such as alcohol) |
| requires_signature | boolean | Whether a customer signature is necessary as a proof of delivery. |
| refund | object | Represents the status and details of the refund if requested |
| external_id | string | external id provided by the 3rd party solution |
